Subject: [bug#57679] [RFC PATCH] gnu: Add paraview.

From: "Paul A. Patience" <[email-masked]>
Date: Wed, 28 Sep 2022 15:02:17 +0000

Hi,

On 2022-09-25 20:54:04-04:00, Maxim Cournoyer wrote:
> Depends.  If it's because SVG icons are used, the SVG pixbuf backend
> will need to be available (librsvg present in a profile) (so that it is
> registered in the file point by the GDK_PIXBUF_MODULE_FILE environment
> variable).  If it uses standard icons that aren't include in the app, an
> icon theme will need to provide them (be installed by the user).

ParaView uses PNG icons (according to strace).
I installed the Adwaita icon theme and used qt5ct [1] to tell ParaView
to use it, and ran ParaView under strace.
Strace indicates that ParaView finds the icons, but they still don't
appear in the application.

I'm wondering if something is hardcoded in the source.
I'll investigate more at a later date.

Thanks for the help,
Paul

[1]: https://wiki.archlinux.org/title/qt#Configuration_of_Qt_5_applications_under_environments_other_than_KDE_Plasma